# 📱 android_mirror

> A simple, plug-and-play Android screen mirroring CLI tool that runs a **bundled, fixed version of `scrcpy`** — no need to install or configure anything.

![android_mirror demo](https://raw.githubusercontent.com/kdiitg/android_mirror/main/assets/demo.gif) <!-- optional -->

---

## 🚀 Features

- ✅ **No Setup Needed** — Uses bundled `scrcpy.exe` and `adb.exe`
- ✅ **Works Offline** — No internet required after install
- ✅ **Runs from CLI** — Just type `android_mirror` or `adm`
- ✅ **Portable** — Lock your preferred `scrcpy` version forever
- ✅ **Lightweight & Fast**

---

## 🔧 Requirements

- Windows 7/10/11 (for now)
- USB Debugging enabled on your Android device
- Android device connected via USB (or use wireless ADB)

---

## 📦 Installation

### Option 1: Local install (for now)

```bash
   git clone https://github.com/kdiitg/android_mirror.git
   cd android_mirror
   pip install .
```
### Option 2: From Internet installtion

   ```bash
   pip install android_mirror
   -- To run this 
   android_mirror
      or
   adm

   ```